Subject: Init won't work!

From: Clive Davies <[email-masked]>
Date: Fri, 21 Jul 2000 05:44:26 -0700

I've been trying to get linux to run on a simple ARM720 based system (serial
console, no networking, ramdisk only). The kernel is 2.4.0-test1-ac19-rmk1
with a fix for the ARM720 half word data abort problem and I'm using Nicolas
Pitre's ramdisk image. Everything appeared to go fine until the kernel tried
to start the init process. I got the 'Starting init...' message, but then
nothing happened! I tried plan b which was to modify main.c to start the
shell straight away, but this exits and causes a kernel panic ('Attempted to
kill init!').

The question is, does anyone have any suggestions as to what to try next?

TIA
Clive

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]

---

From: "Cliff Brake" <[email-masked]>
Date: Fri, 21 Jul 2000 10:08:55 -0400

The configuration you are using has been known to work -- still might be
some issues, but it is currently working for me.  You might want to try
the following patch if you are using a ramdisk image as your root file
system.  I'm not sure what the long term solution is, but this seems to
be necessary.

Cliff

diff -urN linux/init/main.c linux-2.4.0-test4-rmk1-cpb/init/main.c
--- linux/init/main.c	Tue Jul 11 14:17:46 2000
+++ linux-2.4.0-test4-rmk1-cpb/init/main.c	Fri Jul 21 08:53:49 2000
@@ -758,7 +763,7 @@
 	 * we're essentially up and running. Get rid of the
 	 * initmem segments and start the user-mode stuff..
 	 */
-	free_initmem();
+	//free_initmem();
 	unlock_kernel();

 	if (open("/dev/console", O_RDWR, 0) < 0)

>-----Original Message-----
>From: [email-masked]
>[mailto:[email-masked]]On
>Behalf Of Clive
>Davies
>Sent: Friday, July 21, 2000 8:44 AM
>To: [email-masked]
>Subject: Init won't work!
>
>